import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:chessjs/chessjs.dart' as chessjs;
import 'package:flutter_chessboard_js/chessboard/chessboard.dart';
import 'package:flutter_chessboard_js/chessboard/chessboard_controller.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Demo',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: ChessGame(),
    );
  }
}

class ChessGame extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    final ChessboardController controller =
        ChessboardController(chessjsGame: chessjs.Chess());

    return Scaffold(
      backgroundColor: Colors.black,
      body: SizedBox.expand(
        child: Row(
          children: [
            ChessBoard(
              initialSize: 400,
              minSize: 300,
              controller: controller,
            ),
          ],
        ),
      ),
    );
  }
}
